{
  "version": "0.2.0",
  "configurations": [
    {
      "name": "Python: Debug Tests",
      "type": "debugpy",
      "request": "launch",
      "program": "${file}",
      "purpose": [
        "debug-test"
      ],
      "console": "integratedTerminal",
      "justMyCode": false,
      "env": {
        "PYTEST_ADDOPTS": "--no-cov"
      }
    },
    {
      "name": "Python: Current File",
      "type": "debugpy",
      "request": "launch",
      "program": "${file}",
      "console": "integratedTerminal",
      "justMyCode": true
    },
    {
      "name": "Python: API Server",
      "type": "debugpy",
      "request": "launch",
      "module": "alpine_bits_python.run_api",
      "console": "integratedTerminal",
      "justMyCode": true,
      "env": {
        "ALPINEBITS_CONFIG_DIR": "${workspaceFolder}/config"
      }
    }
  ]
}